Package com.google.protobuf

# Enum Class Descriptors.FileDescriptor.Syntax

java.lang.Object
java.lang.Enum<Descriptors.FileDescriptor.Syntax>
com.google.protobuf.Descriptors.FileDescriptor.Syntax

All Implemented Interfaces:
  `Serializable`, `Comparable<Descriptors.FileDescriptor.Syntax>`, `Constable`

Enclosing class:
  Descriptors.FileDescriptor

public static enum Descriptors.FileDescriptor.Syntax extends Enum<Descriptors.FileDescriptor.Syntax>
The syntax of the .proto file.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PROTO2`
`PROTO3`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FileDescriptor.Syntax`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Descriptors.FileDescriptor.Syntax[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final Descriptors.FileDescriptor.Syntax UNKNOWN

### PROTO2

public static final Descriptors.FileDescriptor.Syntax PROTO2

### PROTO3

public static final Descriptors.FileDescriptor.Syntax PROTO3

## Method Details

### values

public static Descriptors.FileDescriptor.Syntax[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Descriptors.FileDescriptor.Syntax valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null